Subject: Re: Re[2]: serious bug with CYGNUS GCC b16
From: [email-masked] ("Kirk W. Benson")

4 Dec 1996 08:11:04 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

At 09:11 AM 12/4/96 +0100, you wrote:
>
>     
>     Well last night, I have found a solution. I don't know if this is a
>     workaround or a *real* fix but it works.
>     
>     It is true that the stack is limited (but I thought that the linker
>     could expand the stack depending of the program). So the solution is
>     to expand the stack, I have found that in gnat304a (amazing that
>     you mention this since this bug was found using GNAT 3.08 for NT a
>     beta release not yet publicly available) in the specs link section
>     there was a stack paramaters.
>     
>     So to change the stack size you must edit the specs file under
>     ...\lib\gcc-lib\<something>\2.7.2\ and replace (note the replace
>     here) the first line after *link: with -stack 0x300000,0x10000.
>     
>     The first parameters is sizereserve and the second sisecommit. So
>     I have reserved 3 Mo for the stack.
>     
>     So the section should read :
>     
>     *link:
>     -stack 0x300000,0x10000
>     
>     
>     I don't know what the sizecommit parameter is, does somebody know ?
>     

Per MSVC InfoView on Linker Options:

Reserve is the total stack allocation in virtual memory.  Commit is OS
dependent, but for NT it is the amount of physical memory to allocate at a
time.  Committed memory is assigned space in the paging file.  Hence there
is a tradeoff between time to extend the stack vs. memory use and startup time.

---------------------------------------------------------
Kirk W. Benson                 Ph: 214-851-7076
Healthcare Communications Inc. FAX 214-851-7045
15301 Dallas Parkway Ste. 950  email: [email-masked]
Dallas, TX 75248

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".